using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Newtonsoft.Json; // Make sure to include this if you're using JsonProperty
using System.ComponentModel.DataAnnotations.Schema; // Include for Table attribute

namespace Parser_Xls_Integral
{
    [Table("tratovy_usek")]
    public class TratovyUsek
    {
        [JsonProperty("id")]
        public string ID { get; set; }

        [JsonProperty("tracovy_usek")]
        public string TracovyUsek { get; set; }

        [JsonProperty("od")]
        public string Od { get; set; }

        [JsonProperty("do")]
        public string Do { get; set; }

        [JsonProperty("km_od")]
        public string KmOd { get; set; }

        [JsonProperty("km_do")]
        public string KmDo { get; set; }

        [JsonProperty("stavebna_dlzka")]
        public string StavebnaDlzka { get; set; }

        [JsonProperty("rozchod_kolaji")]
        public string RozchodKolaji { get; set; }

        [JsonProperty("km_tot")]
        public string KmTot { get; set; }

        [JsonProperty("km_tot_od")]
        public string KmTotOd { get; set; }

        [JsonProperty("du_toznost_od")]
        public string DUToznostOd { get; set; }

        [JsonProperty("km_tot_do")]
        public string KmTotDo { get; set; }

        [JsonProperty("km_tot_do2")]
        public string KmTotDo2 { get; set; }

        [JsonProperty("du_toznost_do")]
        public string DUToznostDo { get; set; }

        [JsonProperty("poznamka")]
        public string Poznamka { get; set; }
    }
}
